Перейти до вмісту
AstroWay/api v2.73.0 · docs
усі системи в нормі

Harmonic Chart

POST
/harmonics
request.sh
curl -X POST https://api.astroway.info/v1/harmonics \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json" \
-d '{ "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.45, "longitude": 30.52, "harmonic": 7 }'

Calculate a harmonic chart by multiplying all planet longitudes by the given harmonic number (H2–H36).

Media type application/json
object
Example
{
"date": "1990-05-15",
"time": "14:30:00",
"timezoneOffset": 3,
"latitude": 50.45,
"longitude": 30.52,
"harmonic": 7
}

Successful calculation

Media type application/json
object
ok
boolean
data
object
harmonic
number
planets
Array<object>
object
id
number
natalLongitude
number
harmonicLongitude
number
sign
string
aspects
Array
Example
{
"ok": true
}

Validation error

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?